%global momorel 1
%global md5sum_src0 ee447fa46b75cf98538fa60667eb079d

# Prevent stripping
%define __spec_install_post /usr/lib/rpm/brp-compress

Summary: Stand-alone memory tester for x86 and x86-64 computers
Name: memtest86+
Version: 1.70
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.memtest.org/
Group: Applications/System
%NoSource 0 http://www.memtest.org/download/1.70/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: new-memtest-pkg
Source2: memtest-setup
ExclusiveArch: %{ix86} x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: memtest86

%description
Memtest86+ is a thorough stand-alone memory test for x86 and x86-64 
architecture computers. BIOS based memory tests are only a quick 
check and often miss many of the failures that are detected by 
Memtest86+.

Run 'memtest-setup' to add to your GRUB or lilo boot menu.

%prep
%setup -q

%build
# Regular build flags not wanted for this binary
# Note: i486 minimum runtime arch
make

./makeiso.sh

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

# install memtest86+
%{__install} -m 755 -d %{buildroot}/boot
%{__install} -m 755 memtest.bin %{buildroot}/boot/memtest86+-%{version}

# install iso
%{__install} -m 755 -d %{buildroot}%{_prefix}/lib/memtest86+
%{__install} -m 644 memtest.iso %{buildroot}%{_prefix}/lib/memtest86+/memtest86+.iso

# install scripts
%{__install} -m 755 -d %{buildroot}/sbin
%{__install} -m 755 %{SOURCE1} %{buildroot}/sbin/new-memtest-pkg
%{__install} -m 755 -d %{buildroot}%{_sbindir}
%{__install} -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/memtest-setup

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%preun
/sbin/new-memtest-pkg --remove %{version}

%files
%defattr(-,root,root)
%doc FAQ README README.build-process
/boot/memtest86+-%{version}
%{_prefix}/lib/memtest86+
/sbin/new-memtest-pkg
%{_sbindir}/memtest-setup

%changelog
* Sat Feb  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.70-1m)
- switch to memtest86+
- version 1.70
- import Source1 and Source2 from Fedora Core devel

* Thu Feb 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2-3m)
- enable x86_64.

* Sun Dec 19 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2-2m)
- use gcc_3_2

* Sun Dec 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-1m)
- added two new, highly effective tests
- add iso image file

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1a-2m)
- install to /usr/lib/memtest86/memtest86 too, for anaconda.

* Thu Apr 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.1a-1m)

* Wed Jul 31 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0-3m)
- fix gcc3.1 problem

* Tue Jul 30 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (3.0-2m)
- fix file attributes (%defattr(-,root,root)

* Tue Jul 30 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (3.0-1m)
- first import.
